Przejdź do głównej treści
PATCH
/
api
/
v1
/
custom-fields
/
{key}
/
config
Zaktualizuj konfigurację pola niestandardowego
curl --request PATCH \
  --url https://api.railmail.app/api/v1/custom-fields/{key}/config \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "options": [
    {
      "value": "<string>",
      "label": "<string>"
    }
  ],
  "defaultValue": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key": "<string>",
  "displayName": "<string>",
  "description": "<string>",
  "type": "<string>",
  "status": "<string>",
  "isSystem": true,
  "isRequired": true,
  "defaultValue": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}

Autoryzacje

X-API-Key
string
header
wymagane

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Parametry ścieżki

key
string
wymagane

Custom field key.

Treść

application/json
options
object[] | null
defaultValue
string | null

Odpowiedź

Zaktualizowane pole niestandardowe

id
string<uuid>
key
string
displayName
string
description
string | null
type
string
status
string
isSystem
boolean
isRequired
boolean
defaultValue
string | null
createdAt
string<date-time>
updatedAt
string<date-time>
archivedAt
string<date-time> | null